更新 personAward
本文内容
命名空间:microsoft.graph
从用户配置文件 更新 personAward 对象 的属性 。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
User.ReadWrite、User.ReadWrite.All
委派(个人 Microsoft 帐户)
User.ReadWrite、User.ReadWrite.All
应用程序
User.ReadWrite.All
HTTP 请求
PATCH /me/profile/awards/{id}
PATCH /users/{id | userPrincipalName}/profile/awards/{id}
名称
说明
Authorization
Bearer {token}。必需。
Content-Type
application/json. Required.
请求正文
在请求正文中,提供应更新的相关字段的值。 请求正文中不包括的现有属性将保留其以前的值,或根据对其他属性值的更改重新计算。 为了获得最佳性能,请勿加入尚未更改的现有值。
属性
类型
Description
allowedAudiences
String
能够查看实体中包含的值的访问群体。 继承自 itemFacet 。 可取值为:me、family、contacts、groupMembers、organization、federatedOrganizations、everyone、unknownFutureValue。
说明
String
奖励或奖励的奖励。
displayName
String
奖励或奖励的名称。
inference
inferenceData
如果实体是由创建或修改应用程序推断出来的,则包含推断详细信息。 继承自 itemFacet 。
issuedDate
Date
授予奖励或奖励的日期。
issuingAuthority
String
授予该奖励或奖励的颁发机构。
thumbnailUrl
String
引用奖励或奖励缩略图的 URL。
WebUrl
String
引用奖励或奖励的 URL。
响应
如果成功,此方法在响应正文中返回 响应代码和更新的 200 OK personAward 对象。
示例
请求
PATCH https://graph.microsoft.com/beta/users/{userId}/profile/awards/{personAwardId}
Content-Type: application/json
{
"issuingAuthority": "International Association of Branding Management",
"thumbnailUrl": "https://iabm.io/sdhdfhsdhshsd.jpg"
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var personAward = new PersonAward
{
IssuingAuthority = "International Association of Branding Management",
ThumbnailUrl = "https://iabm.io/sdhdfhsdhshsd.jpg"
};
await graphClient.Users["{user-id}"].Profile.Awards["{personAward-id}"]
.Request()
.UpdateAsync(personAward);
const options = {
authProvider,
};
const client = Client.init(options);
const personAward = {
issuingAuthority: 'International Association of Branding Management',
thumbnailUrl: 'https://iabm.io/sdhdfhsdhshsd.jpg'
};
await client.api('/users/{userId}/profile/awards/{personAwardId}')
.version('beta')
.update(personAward);
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/users/{userId}/profile/awards/{personAwardId}"]]];
[urlRequest setHTTPMethod:@"PATCH"];
[urlRequest setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
MSGraphPersonAward *personAward = [[MSGraphPersonAward alloc] init];
[personAward setIssuingAuthority:@"International Association of Branding Management"];
[personAward setThumbnailUrl:@"https://iabm.io/sdhdfhsdhshsd.jpg"];
NSError *error;
NSData *personAwardData = [personAward getSerializedDataWithError:&error];
[urlRequest setHTTPBody:personAwardData];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
PersonAward personAward = new PersonAward();
personAward.issuingAuthority = "International Association of Branding Management";
personAward.thumbnailUrl = "https://iabm.io/sdhdfhsdhshsd.jpg";
graphClient.users("{userId}").profile().awards("{personAwardId}")
.buildRequest()
.patch(personAward);
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewPersonAward()
issuingAuthority := "International Association of Branding Management"
requestBody.SetIssuingAuthority(&issuingAuthority)
thumbnailUrl := "https://iabm.io/sdhdfhsdhshsd.jpg"
requestBody.SetThumbnailUrl(&thumbnailUrl)
userId := "user-id"
personAwardId := "personAward-id"
graphClient.UsersById(&userId).Profile().AwardsById(&personAwardId).Patch(requestBody)
Import-Module Microsoft.Graph.People
$params = @{
IssuingAuthority = "International Association of Branding Management"
ThumbnailUrl = "https://iabm.io/sdhdfhsdhshsd.jpg"
}
Update-MgUserProfileAward -UserId $userId -PersonAwardId $personAwardId -BodyParameter $params
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"id": "0fb4c1e3-c1e3-0fb4-e3c1-b40fe3c1b40f",
"allowedAudiences": "organization",
"inference": null,
"createdDateTime": "2020-07-06T06:34:12.2294868Z",
"createdBy": {
"application": null,
"device": null,
"user": {
"displayName": "Innocenty Popov",
"id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
}
},
"lastModifiedDateTime": "2020-07-06T06:34:12.2294868Z",
"lastModifiedBy": {
"application": null,
"device": null,
"user": {
"displayName": "Innocenty Popov",
"id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
}
},
"source": null,
"description": "Lifetime Achievement award from the International Association of Branding Managers",
"displayName": "Lifetime Achievement Award For Excellence in Branding",
"issuedDate": "Date",
"issuingAuthority": "International Association of Branding Management",
"thumbnailUrl": "https://iabm.io/sdhdfhsdhshsd.jpg",
"webUrl": "https://www.iabm.io"
}